org.apache.felix.ipojo.extender.internal

## Interface LifecycleQueueService

All Superinterfaces:
  Lifecycle, QueueService

All Known Implementing Classes:
  EnforcedQueueService, ExecutorQueueService, ForwardingQueueService, PreferenceQueueService, SynchronousQueueService

    public interface LifecycleQueueService
    extends QueueService, Lifecycle

An interface composing `QueueService` and `Lifecycle`.

### Field Summary

### Fields inherited from interface org.apache.felix.ipojo.extender.queue.QueueService

`ASYNCHRONOUS_QUEUE_MODE, GLOABL_QUEUE_SCOPE, PREFERENCE_QUEUE_MODE, QUEUE_MODE_PROPERTY, QUEUE_SCOPE_PROPERTY, SYNCHRONOUS_QUEUE_MODE`

### Method Summary

### Methods inherited from interface org.apache.felix.ipojo.extender.queue.QueueService

`addQueueListener, getCurrents, getFinished, getWaiters, getWaitersInfo, removeQueueListener, submit, submit, submit`

### Methods inherited from interface org.apache.felix.ipojo.extender.internal.Lifecycle

`start, stop`